Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class GetObjectPropertiesBetween

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<R>
          org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithTwoObjects<SetOfObjectPropertySynsets,OWLIndividual>
              org.semanticweb.owlapi.owllink.builtin.requests.GetObjectPropertiesBetween

All Implemented Interfaces:
  KBRequest<SetOfObjectPropertySynsets>, Request<SetOfObjectPropertySynsets>

    public class GetObjectPropertiesBetween

extends AbstractKBRequestWithTwoObjects<SetOfObjectPropertySynsets,OWLIndividual>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithTwoObjects
`firstObject, secondObject`

Constructor Summary
`GetObjectPropertiesBetween(IRI kb, OWLIndividual source, OWLIndividual target)`
`GetObjectPropertiesBetween(IRI kb, OWLIndividual source, OWLIndividual target, boolean isNegative)`

Method Summary
`void` | `accept(RequestVisitor visitor)`
`OWLIndividual` | `getSourceIndividual()`
`OWLIndividual` | `getTargetIndividual()`
`boolean` | `isNegative()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetObjectPropertiesBetween

    public GetObjectPropertiesBetween(IRI kb,
                                      OWLIndividual source,
                                      OWLIndividual target)

### GetObjectPropertiesBetween

    public GetObjectPropertiesBetween(IRI kb,
                                      OWLIndividual source,
                                      OWLIndividual target,
                                      boolean isNegative)

Method Detail

### getTargetIndividual

    public OWLIndividual getTargetIndividual()

### getSourceIndividual

    public OWLIndividual getSourceIndividual()

### isNegative

    public boolean isNegative()

### accept

    public void accept(RequestVisitor visitor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD